xaos (4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.2.

 -- Markus Koschany <apo@debian.org>  Fri, 16 Oct 2020 22:33:25 +0200

xaos (4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fix FTBFS with GCC 10 (Closes: #957968)
  * Document copyright of AppStream metadata file.
  * Reorder sections in d/copyright to fix
    wildcard-matches-nothing-in-dep5-copyright lintian warning.
  * Install AppStream metadata file.
  * Add upstream metadata.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 26 Jul 2020 13:35:32 +0200

xaos (4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Drop obsolete/applied patches
  * Update homepage. (Closes: #782015)
  * Update watch file
  * Drop obsolete get-orig-source target.
  * Set Vcs-* URLs to salsa.
  * Update Standards-Version to 4.5.0:
    - Declare that d/rules does not require root
  * Update packaging for new release:
    - Switch build-dependencies to Qt5
    - Update debhelper compat level to 13
    - Simplify d/rules for usage with qmake
    - Drop d/clean and d/xaos.info
    - Update d/xaos.docs and d/xaos.install
    - Install upstream icon and desktop file
  * Enable all hardening flags.
  * Update d/copyright for new upstream version and convert to
    copyright format 1.0.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 19 Apr 2020 00:04:40 +0200

xaos (3.5+ds1-3) unstable; urgency=medium

  * Build-Depend on libgsl-dev instead of libgsl0-dev. (Closes: #807230)
  * Remove debian/menu.
  * debian/control: Use canonical values for Vcs-* fields.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 08 Dec 2015 09:56:51 +0100

xaos (3.5+ds1-2) unstable; urgency=low

  [ Peter Pentchev ]
  * Add the engine-registers patch to fix the build on i386 - match two
    functions' definitions with their prototypes.  (Closes: #769238)

  [ Ansgar Burchardt ]
  * Update my email address.
  * debian/control: Remove deprecated DM-Upload-Allowed field.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 12 Nov 2014 13:46:40 +0100

xaos (3.5+ds1-1) unstable; urgency=low

  * New upstream release. (Closes: #577739)
    + Update patches.
    + debian/control: Update build-dependencies.
  * Enable thread support. (Closes: #566933) (LP: #112927)
  * debian/control: Add get-orig-source target.
  * debian/watch: Mangle Debian version number.
  * debian/watch: Use extended regular expression.
  * Convert debian/copyright to proposed machine-readable format.
  * Remove obsoleted README.Debian.

 -- Ansgar Burchardt <ansgar@43-1.org>  Fri, 16 Apr 2010 21:31:55 +0900

xaos (3.4-2) unstable; urgency=low

  * Now maintained by the Debian Games Team. (Closes: #483249)
    + Add myself to Uploaders.
    + debian/control: Add Vcs-* fields.
  * Fix typo in menu entry. (Closes: 550235)
  * Use source format 3.0 (quilt).
    + Move changes to upstream source to patches.
  * Fix several spelling errors.
    + new patch: spelling.patch
  * Refresh libtool.
  * Refresh rules for debhelper 7.
  * debian/control: No longer conflict with suidmanager (no longer in Debian).
  * Use configure switch instead of Build-Conflicts to disable GGI.
  * Bump Standards-Version to 3.8.4.
  * debian/control: Add DM-Upload-Allowed: yes.

 -- Ansgar Burchardt <ansgar@43-1.org>  Fri, 26 Mar 2010 17:02:18 +0900

xaos (3.4-1) unstable; urgency=low

  * QA upload.
  * New upstream release
  * debian/control
    - removed Vcs-Git
    - bump Standards-Version to 3.8.0 (no changes needed)
    - added build-dep on sharutils (uudecode)
    - replace build-dep on x-dev with x11proto-core-dev
  * debian/rules
    - added aa driver compilation, for textual usage
    - added dh_desktop call and desktop file installation
  * debian/xaos.desktop
    - added; thanks to Daniel Dickinson for the patch; Closes: #478993
    - updated from Ubuntu
  * debian/xaos.png.uuencode
    - added from Ubuntu package; thanks to them; Closes: #244490
  * debian/menu
    - added explicitly the binary program instead of using sh to launch it

 -- Sandro Tosi <matrixhasu@gmail.com>  Fri, 18 Jul 2008 00:15:19 +0200

xaos (3.3-3) unstable; urgency=low

  * Orphaned the package. After 12 years, it's time for someone else to have
    xaos fun. :-)

 -- Joey Hess <joeyh@debian.org>  Tue, 27 May 2008 18:46:10 -0400

xaos (3.3-2) unstable; urgency=low

  * Remove -g from CFLAGS when running configure. (It's set in the Makefile
    anyway). This prevented xaos from using optimisations. Closes: #482403

 -- Joey Hess <joeyh@debian.org>  Thu, 22 May 2008 12:33:27 -0400

xaos (3.3-1) unstable; urgency=low

  * New upstream release featuring user formula support.
  * Build-depend on libgsl0-dev.
  * New homepage url.

 -- Joey Hess <joeyh@debian.org>  Sun, 16 Mar 2008 15:00:43 -0400

xaos (3.2-9) unstable; urgency=low

  * Patch from Tormod Volden to allow xaos to be used as a xscreensaver hack.
    Adds support for -window-id option, as used by xscreensaver, and makes
    -window-id take precedence over -root or -fullscreen. Closes: #469199

 -- Joey Hess <joeyh@debian.org>  Mon, 03 Mar 2008 16:11:57 -0500

xaos (3.2-8) unstable; urgency=low

  * BDFH: Add a build conflict on libggi-dev, I don't want to build the ggi
    interface.
  * Add patch visual_fullscreen-root from Tormod Volden, fixing the depth
    mismatch that broke the -root and -fullscreen options. Closes: #468784

 -- Joey Hess <joeyh@debian.org>  Mon, 03 Mar 2008 13:12:34 -0500

xaos (3.2-7) unstable; urgency=low

  * Add Homepage field.
  * Avoid segfault on startup if the window manager forces the window to a
    larger size than xaos asked for. Closes: #452284

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Dec 2007 21:51:56 -0500

xaos (3.2-6) unstable; urgency=low

  * Fix nostrip builds. Closes: #438284

 -- Joey Hess <joeyh@debian.org>  Thu, 16 Aug 2007 13:46:35 -0400

xaos (3.2-5) unstable; urgency=low

  * Menu file updates, for new policy.

 -- Joey Hess <joeyh@debian.org>  Sun, 08 Jul 2007 16:41:49 -0400

xaos (3.2-4) unstable; urgency=low

  * Correct nested variable issue in configure script that broke the path
    to the help file. Closes: #426325
  * debhelper v4, current policy etc.
  * Change the menu file to cd to $HOME, not /tmp, before running xaos.
    Dumping all xaos outfile files in /tmp seems to be a problem waiting to
    happen.

 -- Joey Hess <joeyh@debian.org>  Sun, 27 May 2007 22:36:15 -0400

xaos (3.2-3) unstable; urgency=low

  * Change gcc versioned build dep to use the meta package. Closes: #385852

 -- Joey Hess <joeyh@debian.org>  Sun,  3 Sep 2006 11:53:31 -0400

xaos (3.2-2) unstable; urgency=low

  * Fix watch file (version number munge no longer needed).
  * Fix ggi UI code to build with a current version of gcc. Not building with
    it by default since it still seems very buggy (squashed display, two xaos
    windows, etc).
  * Modify configure.in to not search for slang or curses, just link in aalib
    and libgpm. Improves package dependencies and build deps.

 -- Joey Hess <joeyh@debian.org>  Sun,  5 Mar 2006 20:20:30 -0500

xaos (3.2-1) unstable; urgency=low

  * New upstream release.
  * libsvga1 package rename, update build deps.
  * svgalib-dummy is removed, remove dependency hack in rules file.
  * Build with -g.
  * Remove needs=vc menu item since svga mode won't work by default and is
    only available on i386 anyway.

 -- Joey Hess <joeyh@debian.org>  Wed,  1 Feb 2006 20:18:18 -0500

xaos (3.1r-14) unstable; urgency=low

  * Update config.sub/guess via autotools-dev for Freebsd. Closes: #341943

 -- Joey Hess <joeyh@debian.org>  Mon,  5 Dec 2005 13:59:41 -0500

xaos (3.1r-13) unstable; urgency=low

  * Transition away from xlibs-dev.

 -- Joey Hess <joeyh@debian.org>  Wed, 30 Nov 2005 16:54:53 -0500

xaos (3.1r-12) unstable; urgency=low

  * Turn -ffast-math and -mno-ieee-fp and build depend on a gcc
    version that works.

 -- Joey Hess <joeyh@debian.org>  Mon,  1 Aug 2005 11:54:08 -0400

xaos (3.1r-11) unstable; urgency=low

  * Use -mtune where it used to use -mcpu.

 -- Joey Hess <joeyh@debian.org>  Wed, 20 Jul 2005 10:00:26 -0400

xaos (3.1r-10) unstable; urgency=low

  * Switch watch file to use sf redirector.
  * German po file update, fixing it to use ß. Closes: #313854
  * Kill all the hardcoded -mcpu=486 (etc) stuff in configure.in,
    as it's not a very good idea these days and breaks with gcc 4.0.
  * Fix __attribute__ definititions for function definitions to work with gcc
    4.0.
  * Disable -O6 and -ffast-mash since it causes an ICE with gcc 4.0 when
    building fractal.c and formula.c. This will probably make xaos a bit
    slower of course.
  * b-d on autoconf and call as part of build.

 -- Joey Hess <joeyh@debian.org>  Sun, 17 Jul 2005 16:55:29 +0300

xaos (3.1r-9) unstable; urgency=low

  * aalib transition.
  * Add build dependencies that were wrongly inherited from aalib, since
    xaos uses all those libs on its own and the ones used by aalib are now
    not public interface.

 -- Joey Hess <joeyh@debian.org>  Mon,  4 Jul 2005 15:42:11 +0300

xaos (3.1r-8) unstable; urgency=low

  * Patch from Andreas Jochens to allow building with gcc 4.0. Closes: #300518

 -- Joey Hess <joeyh@debian.org>  Sun, 20 Mar 2005 14:38:19 -0500

xaos (3.1r-7) unstable; urgency=low

  * Patch from Andreas Jochens to allow building with gcc 3.4. Closes: #273154
    (Yes, another one.)

 -- Joey Hess <joeyh@debian.org>  Fri, 24 Sep 2004 13:58:11 +0200

xaos (3.1r-6) unstable; urgency=low

  * Patch from Andreas Jochens to allow building with gcc 3.4. Closes: #268201

 -- Joey Hess <joeyh@debian.org>  Thu, 26 Aug 2004 13:30:03 -0400

xaos (3.1r-5) unstable; urgency=low

  * Build src/utils with -O2 instead of -Os. Probably works around a gcc
    3.3.2 bug. Closes: #222726

 -- Joey Hess <joeyh@debian.org>  Sat,  6 Dec 2003 16:25:23 -0500

xaos (3.1r-4) unstable; urgency=HIGH

  * Removed suid bit. If you need svgalib, you can turn it on, but xaos
    is not secure.

 -- Joey Hess <joeyh@debian.org>  Fri,  6 Jun 2003 14:53:13 -0400

xaos (3.1r-3) unstable; urgency=low

  * Comment out @STICKY@ so the Makefile doesn't chmod during build.
    Closes: #192191

 -- Joey Hess <joeyh@debian.org>  Wed,  7 May 2003 01:37:00 -0400

xaos (3.1r-2) unstable; urgency=low

  * Updated config.sub and config.guess from autotools-dev for mipsel.
    Closes: #186584

 -- Joey Hess <joeyh@debian.org>  Mon, 31 Mar 2003 11:49:00 -0500

xaos (3.1r-1) unstable; urgency=low

  * New upstream release. Munged version with 'r'.

 -- Joey Hess <joeyh@debian.org>  Thu, 27 Mar 2003 16:13:19 -0800

xaos (3.1pre6-2003-02-18-1) experimental; urgency=low

  * New upstream prerelease. Some version munging.

 -- Joey Hess <joeyh@debian.org>  Fri, 28 Feb 2003 21:17:47 -0500

xaos (3.1pre6-1) experimental; urgency=low

  * New upstream prerelease. Still going to experimental for now.

 -- Joey Hess <joeyh@debian.org>  Sun,  2 Feb 2003 18:41:49 -0500

xaos (3.1pre5-1) experimental; urgency=low

  * New upstream prerelease.
  * Still a little bit unstable (segfaults) so going to experimental for
    now.

 -- Joey Hess <joeyh@debian.org>  Thu, 14 Nov 2002 13:51:13 -0500

xaos (3.0-26) unstable; urgency=low

  * Change ifdef 0 to if 0 for picky cpp-3.2. Closes: #162851
  * Update to libpng3.

 -- Joey Hess <joeyh@debian.org>  Mon, 30 Sep 2002 14:51:43 -0400

xaos (3.0-25) unstable; urgency=low

  * Updated copyright file with new upstream URL and better statement of
    copyright.
  * Updated watch file.

 -- Joey Hess <joeyh@debian.org>  Sat, 27 Jul 2002 12:33:08 -0400

xaos (3.0-24) unstable; urgency=low

  * Debhelper v4, and also a debhelper shlibs fix.

 -- Joey Hess <joeyh@debian.org>  Thu, 13 Jun 2002 20:05:10 -0400

xaos (3.0-23) unstable; urgency=low

  * Since i386 only has svgalib bos, adjusted build-deps accordingly.
    (Actually, they were flat wrong before, and would have prevented
    building on many other arches.)

 -- Joey Hess <joeyh@debian.org>  Tue,  3 Apr 2001 15:19:30 -0700

xaos (3.0-22) unstable; urgency=low

  * Rebuilt with fixed dpkg-dev. Stupid dpkg..

 -- Joey Hess <joeyh@debian.org>  Sun, 14 Jan 2001 14:17:08 -0800

xaos (3.0-21) unstable; urgency=low

  * Always build-depend on svgalibg1-dev; other arches have
    -dummy, and, it seems, a ggi-svga of some sort.

 -- Joey Hess <joeyh@debian.org>  Fri, 12 Jan 2001 18:02:06 -0800

xaos (3.0-20) unstable; urgency=low

  * statoverride transition

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Jan 2001 15:06:18 -0800

xaos (3.0-19) unstable; urgency=low

  * Rebuilt against libncurses5, Closes: #74500

 -- Joey Hess <joeyh@debian.org>  Thu, 12 Oct 2000 11:09:23 -0400

xaos (3.0-18) unstable; urgency=low

  * Build deps.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 17:42:18 -0800

xaos (3.0-17) unstable; urgency=low

  * FHS
  * Use dh_installinfo.

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Sep 1999 16:59:36 -0700

xaos (3.0-16) unstable; urgency=low

  * Re-upload with correct .orig.tar.gz in place.

 -- Joey Hess <joeyh@debian.org>  Sun, 29 Aug 1999 18:25:05 -0700

xaos (3.0-15) unstable; urgency=low

  * Rebuilt with new slang1-dev version to fix dependancy problem.

 -- Joey Hess <joeyh@debian.org>  Fri, 27 Aug 1999 20:26:05 -0700

xaos (3.0-14) unstable; urgency=low

  * Built with thread support, which should make it work a lot better on SMP
    boxes.
  * Don't build parts of i386.c because it has broken asm code that doesn't
    work with newer gcc. Urk. Since none of those functions in that file
    appear to be used at all, this is no great loss. (Closes: #42737)

 -- Joey Hess <joeyh@debian.org>  Wed, 18 Aug 1999 10:44:33 -0700

xaos (3.0-13) unstable; urgency=low

  * Use dh_installinfo.

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Jul 1999 17:41:59 -0700

xaos (3.0-12) unstable; urgency=low

  * Fixed aalib dependancy (Closes: #39381)

 -- Joey Hess <joeyh@debian.org>  Fri, 11 Jun 1999 18:48:58 -0700

xaos (3.0-11) unstable; urgency=low

  * Spanish tanslation by Javier Fernandez-Sanguino Pen~a
    <jfs@dat.etsit.upm.es> (Closes: #39024)

 -- Joey Hess <joeyh@debian.org>  Mon,  7 Jun 1999 14:45:53 -0700

xaos (3.0-10) unstable; urgency=low

  * Patch from James to fix crash on saving a PNG image. (#35466)
  * Another patch to fix a spelling typo that prevented the axe.xpf example
    from working. (#35464)
  * Built with libpng2. (#35492)

 -- Joey Hess <joeyh@debian.org>  Mon,  5 Apr 1999 16:30:59 -0700

xaos (3.0-9) unstable; urgency=low

  * Register info page.

 -- Joey Hess <joeyh@debian.org>  Thu,  1 Apr 1999 17:23:13 -0800

xaos (3.0-8) unstable; urgency=low

  * Built on a glibc 2.1 system (thanks to Ivan E . Moore II) to fix
    glibc 2.1 problem (closes: #34631)
  * Look for aconfig.h in the right place.

 -- Joey Hess <joeyh@debian.org>  Tue, 16 Mar 1999 16:40:50 -0700

xaos (3.0-7) unstable; urgency=low

  * No changes. This upload is made only to let the powerpc people compile
    xaos with the correct libraries to fix bug #28884.

 -- Joey Hess <joeyh@debian.org>  Tue,  3 Nov 1998 12:56:41 -0800

xaos (3.0-6) unstable; urgency=low

  * Rebuilt with ncurses 4.

 -- Joey Hess <joeyh@debian.org>  Fri, 30 Oct 1998 19:29:17 -0800

xaos (3.0-5) unstable; urgency=low

  * Rebuilt with latest debhelper to change suid binary registration.

 -- Joey Hess <joeyh@debian.org>  Tue, 27 Oct 1998 22:12:36 -0800

xaos (3.0-4) unstable; urgency=low

  * Rebuilt linked to libpng2 (#26927).

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Sep 1998 12:04:42 -0700

xaos (3.0-3) unstable; urgency=low

  * Build with a newer svgalib. To keep this package depending on svgalibg1
    | svgalib-dummyg1, I added a hack to the rules file, as described in
    svgalib-dummyg1's documentation.

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Mar 1998 12:35:10 -0800

xaos (3.0-2) unstable; urgency=low

  * Fixed driver names in menu file. (text driver is now called "aa")

 -- Joey Hess <joeyh@debian.org>  Mon,  9 Mar 1998 16:10:48 -0800

xaos (3.0-1) unstable; urgency=low

  * New upstream release.
  * No gif writing code in this one, so it can remain in main (#15843).

 -- Joey Hess <joeyh@debian.org>  Mon,  9 Mar 1998 12:28:32 -0800

xaos (2.2-8) unstable; urgency=low

  * Fixed package description typo (#19013).

 -- Joey Hess <joeyh@debian.org>  Thu,  5 Mar 1998 17:09:05 -0800

xaos (2.2-7) unstable; urgency=low

  * Updated fsf's mailing address in copyright.

 -- Joey Hess <joeyh@debian.org>  Mon,  9 Feb 1998 11:51:39 -0800

xaos (2.2-6) unstable; urgency=low

  * Use debhelper.

 -- Joey Hess <joeyh@debian.org>  Sat,  7 Feb 1998 20:07:26 -0800

xaos (2.2-5) unstable; urgency=low

  * Fixed menu file.
  * Homepage has moved.

 -- Joey Hess <joeyh@debian.org>  Mon, 15 Sep 1997 15:12:09 -0400

xaos (2.2-4) unstable; urgency=low

  * Oops, fixed broken menu file.

 -- Joey Hess <joeyh@debian.org>  Mon,  8 Sep 1997 18:24:55 -0400

xaos (2.2-3) unstable; urgency=low

  * libc6.
  * added needs=vc entry to menu file.
  * Routine update of debian/rules:
    Fixed binary-indep target.

 -- Joey Hess <joeyh@debian.org>  Mon,  8 Sep 1997 16:02:28 -0400

xaos (2.2-2) unstable; urgency=low

  * Rebuilt to change name of upstream changelog (#9611).
  * Converted menu file to menu-1 format.
  * Routine update of debian/rules:
    Run dpkg-gencontrol after debstd, and delete substvars during clean.

 -- Joey Hess <joeyh@debian.org>  Fri, 9 May 1997 12:29:04 -0400

xaos (2.2-1) unstable; urgency=low

  * New upstream version.
  * Added some more documentation files.
  * Routine update of debian/rules:
    Don't pass package name to debstd + fixes for multi binary packages.
  * Try to figure out if this architecture supposrts svgalib, and if not,
    don't install the binary suid root.

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Jan 1997 18:59:35 -0500

xaos (2.1-4) unstable; urgency=low

  * Now the menu file has 2 entries, one for X11 and one for text mode since
    xaos can run in either mode.

 -- Joey Hess <joeyh@debian.org>  Fri, 27 Dec 1996 21:08:05 -0500

xaos (2.1-3) unstable; urgency=low

  * Fixed bug in menu file.

 -- Joey Hess <joeyh@debian.org>  Tue, 24 Dec 1996 20:50:21 -0500

xaos (2.1-2) unstable; urgency=low

  * In menu file, change to /tmp before running xaos, so save files will
    be stored there instead of wherever.
  * Let debstd handle installing the menu file.
  * Routine update of debian/rules:
    New email address.

 -- Joey Hess <joeyh@debian.org>  Sat, 21 Dec 1996 00:32:24 -0500

xaos (2.1-1) unstable; urgency=low

  * Routine update of debian/rules.
  * New upstream version.
  * Now registers itself with the "menu" package instead of
    install-fvwm2menu.

 -- Joey Hess <joeyh@debian.org>  Fri, 29 Nov 1996 12:49:36 -0500

xaos (2.0-2) unstable; urgency=low

  * Fixed libc and svgalib dependencies by rebuilding.
  * Recompiled to take full advantage of the new svgalib.
  * Updated extended description.

 -- Joey Hess <joeyh@debian.org>  Sat, 2 Nov 1996 19:02:53 -0500

xaos (2.0-1) unstable; urgency=low

  * Routine update of debian/rules (now uses debmake).
  * New upstream release.
  * Modified description in control file to reflect new features.
  * Stripped binary. (#5112)
  * Movied xaos binary to /usr/bin, added more doc files and manpage.

 -- Joey Hess <joeyh@debian.org>  Thu, 31 Oct 1996 15:47:40 -0500

xaos (1.2-4) unstable; urgency=low

  * Routine update of debian/rules.
  * Took svgalib1 out of dependencies (#4693)

 -- Joey Hess <joeyh@debian.org>  Mon, 21 Oct 1996 16:07:12 -0400

xaos (1.2-3) unstable; urgency=low

  * changed to Section: graphics
  * Updated fvwm menu to move into graphics submenu.

 -- Joey Hess <joeyh@debian.org>  Wed, 9 Oct 1996 18:02:42 -0400

xaos (1.2-2) unstable; urgency=low

  * Now registers itself with install-fvwm2menu.

 -- Joey Hess <joeyh@debian.org>  Sun, 6 Oct 1996 14:54:25 -0400

xaos (1.2-1) unstable; urgency=low

  * New upstream release.
  * Enabled SVGA version.

 -- Joey Hess <joeyh@debian.org>  Wed, 2 Oct 1996 14:27:51 -0400

xaos (1.1-1) unstable; urgency=low

  * First release.
  * Disabled SVGA version (for now)

 -- Joey Hess <joeyh@debian.org>  Mon, 16 Sep 1996 13:19:52 -0400
